Jump to content

Recommended Posts

Posted

Hi there,

I am struggling to convert couple of text from top view to side view(z face). In this drawing i have 1000s or text heights need to be show from top view to side view.

Is there any quick way i can do it this. 

Please see this attached image which will tell you what exactly i want.

 

Please some one help me.

 

Many thanks

 

Biji Samuel

TEXT IN 3D.JPG

Posted

Yes, This drawing i have with 22 3D data and each one contain more than 50 texts.

 

So is there any LISP Routine for this.

 

thanks

Posted

Good Morning All,

have any one got LISP Routine for rotating Texts from one face to another face.

 

Please help me.

 

Many thanks

 

 

Posted

The other way may be to use rotate3d. The only question is how do you determine the face of the object if its a cube then there is multiple answers. If its single faced then you can get at its properties. If its a 3d face again you can get at the co-ordinates. If its just stand the text up should be able to use the text angle and insertion point.

 

Maybe a sample dwg.

Posted

If these are all standard TEXT. this should work on model space entities :

(defun c:txt2wcs (/ ss i en ed)
  (and (setq ss (ssget "X" (list (cons 0 "TEXT")
                                 (cons 67 0)
                                 (cons -4 "/=")
                                   (list 210 0 0 1))))
       (setq i 0)
       (while (setq en (ssname ss i))
              (setq ed (entget en))
              (cond ((and (zerop (cdr (assoc 72 ed)))
                          (zerop (cdr (assoc 73 ed))))
                     (setq ed (subst (cons 10 (trans (cdr (assoc 10 ed))
                                                     en 0))
                                     (assoc 10 ed) ed))
                     (setq ed (subst (list 210 0 0 1)
                                     (assoc 210 ed) ed))
                     (entmod ed))
                    ((not (and (zerop (cdr (assoc 72 ed)))
                               (zerop (cdr (assoc 73 ed)))))
                     (setq ed (subst (cons 11 (trans (cdr (assoc 11 ed))
                                                     en 0))
                                     (assoc 11 ed) ed))
                     (setq ed (subst (list 210 0 0 1)
                                     (assoc 210 ed) ed))
                     (entmod ed)))
              (setq i (1+ i))))
    (prin1))

I Know next to nothing about MTEXT entities

 

-David

Posted

THANK YOU ALL FOR YOUR HELP.

 

Sorry, how do i use this texts? I copied this text and created .lsp (LISP Routine) and Apploded. But its not working.

 

Please help me.

Posted

#1  are text entities MTEXT or standard TEXT ?  

 

Command : LIST  (select 1 string ). It should report the type entity it is. 

 

It could even be an attributed INSERT

 

 

-David

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...